import request from "@/utils/request.js";


//  查询草稿箱列表
export function draftList(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/drafts',
        data
    });
}


// 发布动态或保存草稿
export function dynamicPublish(data) {
    return request({
        method: 'post',
        url: '/api/moment/v1/publish',
        data
    });
}
// 动态详情
export function dynamicDetail(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/detail',
        data
    });
}
// 我的动态列表
export function myDynamicList(data) {
    return request({
        method: 'get',
        url: '/api/moment/v1/my',
        data
    });
}
// 编辑动态
export function dynamicEdit(data) {
    return request({
        method: 'post',
        url: '/api/moment/v1/edit',
        data
    });
}
// 删除动态
export function dynamicDelete(data) {
    return request({
        method: 'delete',
        url: '/api/moment/v1/' + data.momentId
    });
}

